
USE [WaspTrackAsset]

PRINT ''
PRINT ''
PRINT '******************************'
PRINT 'Update tables  -- Tables with no layout change '
PRINT '******************************'
PRINT ''

PRINT '... ' + '[AppOption]'

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[app_options]') AND name = N'IX_app_options')
DROP INDEX [app_options].[IX_app_options] 

CREATE  INDEX [IX_app_options] ON [dbo].[app_options]([code], [record_status], [company_id]) ON [PRIMARY]


PRINT '... ' + '[asset_transactions]'

PRINT '... ' + '[attachments]'

PRINT '... ' + '[auto_numbers]'

PRINT '... ' + '[category]'

PRINT '... ' + '[company_info]'

PRINT '... ' + '[condition]'

PRINT '... ' + '[departments]'

PRINT '... ' + '[depreciation_methods]'

PRINT '... ' + '[form]'

PRINT '... ' + '[form_field_meta]'

PRINT '... ' + '[image]'

PRINT '... ' + '[import_export_errors]'

PRINT '... ' + '[mobile_data_snapshot]'

IF  EXISTS (SELECT * FROM dbo.sysindexes WHERE id = OBJECT_ID(N'[dbo].[mobile_data_snapshot]') AND name = N'IX_mobile_data_snapshot')
DROP INDEX [mobile_data_snapshot].[IX_mobile_data_snapshot] 

 CREATE  INDEX [IX_mobile_data_snapshot] ON [dbo].[mobile_data_snapshot]([device_name], [table_name], [rec_id], [company_id]) ON [PRIMARY]


PRINT '... ' + '[mobile_data_unprocessed]'

PRINT '... ' + '[notes]'

PRINT '... ' + '[reasons]'

PRINT '... ' + '[recent_values]'

PRINT '... ' + '[record_status]'

PRINT '... ' + '[report_filters]'

PRINT '... ' + '[report_hidden_fields]'

PRINT '... ' + '[report_label_types]'

PRINT '... ' + '[report_labels]'

PRINT '... ' + '[report_names]'

PRINT '... ' + '[schedule]'

PRINT '... ' + '[security_privileges]'

PRINT '... ' + '[transaction_types]'

PRINT '... ' + '[transfer_field_mapping]'

PRINT '... ' + '[transfer_map]'

PRINT '... ' + '[user_privileges]'

PRINT '... ' + '[users]'

PRINT '... ' + '[users_mobile]'

