
use [MASTER]

if EXISTS (select * from dbo.sysdatabases where name = N'WaspTrackAsset')
BEGIN
	print ''
	print ''
	print '******************************'
	print 'Backup existing database prior to v5.2 conversion'
	print '******************************'
	print ''

	declare @dtNow smalldatetime
	set @dtNow = GETDATE()

	declare @bk_file as varchar(200)
	set @bk_file = CAST(@dtNow as varchar)
	print 'Current Time is: ' + @bk_file
	print ''

	set @bk_file = REPLACE(@bk_file, ' ', '_')
	set @bk_file = REPLACE(@bk_file, ':', '_')
	set @bk_file = REPLACE(@bk_file, 'AM', 'a')
	set @bk_file = REPLACE(@bk_file, 'PM', 'p')
	set @bk_file = 'C:\Program Files\Wasp Technologies\MobileAsset\Database\Pre_V5_Backup_'+ @bk_file + '.bkp'
	print 'Backup file is: ' + @bk_file
	print ''

	BACKUP DATABASE [WaspTrackAsset] TO  
	DISK = @bk_file  WITH  INIT ,  
	NOUNLOAD ,  NAME = N'WaspTrackAsset pre-V 5.2 Conversion backup',  NOSKIP ,  STATS = 10,  NOFORMAT 
END

print ''
print '******     done    ******'
print ''
print ''

GO