use master

------------------
--  Set Options
------------------


exec sp_dboption N'WaspTrackAsset', N'autoclose', N'false'
GO

exec sp_dboption N'WaspTrackAsset', N'bulkcopy', N'false'
GO

exec sp_dboption N'WaspTrackAsset', N'trunc. log', N'false'
GO

exec sp_dboption N'WaspTrackAsset', N'torn page detection', N'true'
GO

exec sp_dboption N'WaspTrackAsset', N'read only', N'false'
GO

exec sp_dboption N'WaspTrackAsset', N'dbo use', N'false'
GO

exec sp_dboption N'WaspTrackAsset', N'single', N'false'
GO

exec sp_dboption N'WaspTrackAsset', N'autoshrink', N'false'
GO

exec sp_dboption N'WaspTrackAsset', N'ANSI null default', N'false'
GO

exec sp_dboption N'WaspTrackAsset', N'recursive triggers', N'false'
GO

exec sp_dboption N'WaspTrackAsset', N'ANSI nulls', N'false'
GO

exec sp_dboption N'WaspTrackAsset', N'concat null yields null', N'false'
GO

exec sp_dboption N'WaspTrackAsset', N'cursor close on commit', N'false'
GO

exec sp_dboption N'WaspTrackAsset', N'default to local cursor', N'false'
GO

exec sp_dboption N'WaspTrackAsset', N'quoted identifier', N'false'
GO

exec sp_dboption N'WaspTrackAsset', N'ANSI warnings', N'false'
GO

exec sp_dboption N'WaspTrackAsset', N'auto create statistics', N'true'
GO

exec sp_dboption N'WaspTrackAsset', N'auto update statistics', N'true'
GO

if( (@@microsoftversion / power(2, 24) = 8) and (@@microsoftversion & 0xffff >= 724) )
	exec sp_dboption N'WaspTrackAsset', N'db chaining', N'false'
GO	



----------------------------------
--   Create New Data Types
----------------------------------


USE [WaspTrackAsset]


print ''
print ''
print '******************************'
print 'Re-Create User Defined Types '
print '******************************'
print ''

if NOT EXISTS (SELECT * FROM systypes WHERE NAME = 'description_type')
BEGIN
	EXEC sp_addtype N'description_type', N'varchar (255)', N'not null'
END

if NOT EXISTS (SELECT * FROM systypes WHERE NAME = 'phone_type')
BEGIN
	EXEC sp_addtype N'phone_type', N'varchar (20)', N'null'
END

if NOT EXISTS (SELECT * FROM systypes WHERE NAME = 'qb_list_id')
BEGIN
	EXEC sp_addtype N'qb_list_id', N'varchar (36)', N'null'
END

if NOT EXISTS (SELECT * FROM systypes WHERE NAME = 'record_status_type')
BEGIN
	EXEC sp_addtype N'record_status_type', N'smallint', N'not null'
END

if NOT EXISTS (SELECT * FROM systypes WHERE NAME = 'wtbool')
BEGIN
	EXEC sp_addtype N'wtbool', N'char (1)', N'not null'
END

if NOT EXISTS (SELECT * FROM systypes WHERE NAME = 'wtpassword')
BEGIN
	EXEC sp_addtype N'wtpassword', N'varchar (20)', N'null'
END
GO

