
USE [WaspTrackAsset]

PRINT ''
PRINT ''
PRINT '******************************'
PRINT 'Delete all stored procedures'
PRINT '******************************'
PRINT ''

-- drop all stored procedures

DECLARE @spName sysname
DECLARE proc_cursor CURSOR FOR 
   select name FROM dbo.sysobjects WHERE OBJECTPROPERTY(id, N'IsProcedure') = 1 and name like 'sp%'

OPEN proc_cursor

FETCH NEXT FROM proc_cursor INTO @spName
WHILE (@@FETCH_STATUS = 0)
BEGIN
   PRINT 'delete stored procedures: ' + @spName
   EXEC ('DROP PROCEDURE ' + @spName)
   FETCH NEXT FROM proc_cursor INTO @spName
END

CLOSE proc_cursor
DEALLOCATE proc_cursor

