
USE [WaspTrackAsset]

PRINT ''
PRINT ''
PRINT '******************************'
PRINT 'Update tables  -- [asset] '
PRINT '******************************'
PRINT ''

--SELECT * FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[asset]')

if (((SELECT COUNT(*) FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[asset]') AND NAME = 'parent_id') = 0) OR
	((SELECT COUNT(*) FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[asset]') AND NAME = 'transact_as_whole') = 0) OR
    ((SELECT COUNT(*) FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[asset]') AND NAME = 'linking_indicator') = 0) )
BEGIN

	ALTER TABLE [dbo].[asset] ADD [parent_id] [int] NOT NULL DEFAULT (0),
		[transact_as_whole] [wtbool] NOT NULL DEFAULT 'T',
		[linking_indicator] [int] NOT NULL DEFAULT (0),
		[linking_is_child_checked_out] [wtbool] NOT NULL DEFAULT 'F' 
		
END

if (SELECT COUNT(*) FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[asset]')
 AND NAME = 'usrdefnumber1' and xprec != 19) > 0
BEGIN
	ALTER TABLE [dbo].[asset] ALTER COLUMN usrdefnumber1 [decimal](19, 4) NULL
END

if (SELECT COUNT(*) FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[asset]')
 AND NAME = 'usrdefnumber2' and xprec != 19) > 0
BEGIN
	ALTER TABLE [dbo].[asset] ALTER COLUMN usrdefnumber2 [decimal](19, 4) NULL
END

if (SELECT COUNT(*) FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[asset]')
 AND NAME = 'usrdefnumber3' and xprec != 19) > 0
BEGIN
	ALTER TABLE [dbo].[asset] ALTER COLUMN usrdefnumber3 [decimal](19, 4) NULL
END

if (SELECT COUNT(*) FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[asset]')
 AND NAME = 'usrdefnumber4' and xprec != 19) > 0
BEGIN
	ALTER TABLE [dbo].[asset] ALTER COLUMN usrdefnumber4 [decimal](19, 4) NULL
END

if (SELECT COUNT(*) FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[asset]')
 AND NAME = 'usrdefnumber5' and xprec != 19) > 0
BEGIN
	ALTER TABLE [dbo].[asset] ALTER COLUMN usrdefnumber5 [decimal](19, 4) NULL
END

GO